from subprg import *
import pystan
from pystan import StanModel
import pickle

#
#       Yasuharu Okamoto, 2017.07
#

X, n, meanSt, sgmSt, fout, nm_fout = InputData()

N = n
St = []
Res = []
for v in X:
    St.append(v[0])
    Res.append(v[1])

print('\nSt = \n', St)
print('\nRes = \n', Res)

Data = {'N': N, 'St': St, 'Res': Res}

minSt = St[0]
maxSt = St[0]
for i in range(N):
    if minSt > St[i]:
        minst = St[i]
    if maxSt < St[i]:
        maxSt = St[i]
    
def f_init():
    return dict(mu =  (minSt + maxSt) / 2.0, sigma = (maxSt - minSt) / 2.0)

fit = pystan.stan(file = 'pf2cat.stan', data = Data, seed = 999, chains =4,
                      iter = 5000, warmup = 2000,
                      init = f_init, pars = ['mu', 'sigma'], n_jobs = 1)

print(fit)
 
mrg_mu = fit['mu']
mrg_sgm = fit['sigma']
    
mrg_mu.sort()
mrg_sgm.sort()

NSimu = len(mrg_mu)
print('\nNSimu = ', NSimu)
DispResults( NSimu, X, n, mrg_mu, mrg_sgm, fout)

fout.close()
print("\nOutput file {} was saved.".format(nm_fout))


