//      Yasuharu Okamoto, 2017.07

data {
    int N;
    real St[N];
    int<lower = 1, upper = 2> Res[N];
}

parameters {
        real mu;
        real<lower = 0.0> sigma;
}

transformed parameters {
    vector[2] p[N];

    for (i in 1:N){
        p[i][2] = Phi((St[i] - mu) / sigma);
        p[i][1] = 1.0 - p[i][2];
    }
}

model {
    for (i in 1:N)
        Res[i] ~ categorical(p[i]);
}
